Index Page latcyl_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void latcyl_c ( SpiceDouble    radius,
                       SpiceDouble    lon,
                       SpiceDouble    lat,
                       SpiceDouble *  r,
                       SpiceDouble *  lonc,
                       SpiceDouble *  z )

#### Abstract

       Convert from latitudinal coordinates to cylindrical coordinates.

#### Required_Reading

       None.

#### Keywords

       CONVERSION,  COORDINATES

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       radius     I   Distance of a point from the origin.
       lon        I   Angle of the point from the XZ plane in radians.
       lat        I   Angle of the point from the XY plane in radians.
       r          O   Distance of the point from the z axis.
       lonc       O   Angle of the point from the XZ plane in radians.
       z          O   Height of the point above the XY plane.

#### Detailed_Input

       radius     Distance of a point from the origin.

       lon        Angle of the point from the XZ plane in radians.

       lat        Angle of the point from the XY plane in radians.

#### Detailed_Output

       r          Distance of the point from the z axis.

       lonc       Angle of the point from the XZ plane in radians.
                  `lonc' is set equal to `lon'.

       z          Height of the point above the XY plane.

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       This routine returns the cylindrical coordinates of a point
       whose position is input in latitudinal coordinates.

       Latitudinal coordinates are defined by a distance from a central
       reference point, an angle from a reference meridian, and an angle
       above the equator of a sphere centered at the central reference
       point.

#### Examples

       Other than the obvious conversion between coordinate systems
       this routine could be used to obtain the axial projection
       from a sphere to a cylinder about the z-axis that contains
       the equator of the sphere.  The following code fragment
       illustrates this idea.

             latcyl_c ( radius,  lon, lat, &r,  &lon, &z );
             r = radius;

       r,  lon, and z now contain the coordinates of the projected
       point. Such a projection is valuable because it preserves the
       areas between regions on the sphere and their projections to the
       cylinder.

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       E.D. Wright     (JPL)
       W.L. Taber      (JPL)

#### Version

       -CSPICE Version 1.0.1, 26-JUL-2016 (BVS)

          Minor headers edits.

       -CSPICE Version 1.0.0, 08-FEB-1998 (EDW)

#### Index_Entries

       latitudinal to cylindrical coordinates

#### Link to routine latcyl_c source file latcyl_c.c

    Wed Apr  5 17:54:38 2017